Package com.sun.jna.platform.win32

## Class WinNT.SYSTEM_POWER_INFORMATION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SYSTEM_POWER_INFORMATION

Enclosing interface:
  WinNT

    @FieldOrder({"MaxIdlenessAllowed","Idleness","TimeRemaining","CoolingMode"})
    public static class WinNT.SYSTEM_POWER_INFORMATION
    extends Structure

Contains information about the idleness of the system.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte` `CoolingMode`
`int` `Idleness`
`int` `MaxIdlenessAllowed`
`int` `TimeRemaining`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`SYSTEM_POWER_INFORMATION()`
`SYSTEM_POWER_INFORMATION​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MaxIdlenessAllowed

    public int MaxIdlenessAllowed

#### Idleness

    public int Idleness

#### TimeRemaining

    public int TimeRemaining

#### CoolingMode

    public byte CoolingMode

### Constructor Detail

#### SYSTEM_POWER_INFORMATION

    public SYSTEM_POWER_INFORMATION​(Pointer p)

#### SYSTEM_POWER_INFORMATION

    public SYSTEM_POWER_INFORMATION()